# WOK
TKWOK
WOKernel

# WOKernel_UnitNesting Class Reference

`#include <WOKernel_UnitNesting.hxx>`

Inheritance diagram for WOKernel_UnitNesting:

[legend]

## Public Member Functions

Standard_EXPORT void | Open ()
| open an existing entity
Standard_EXPORT void | Close ()
| closes entity
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Units () const
Standard_EXPORT Handle_WOKernel_DevUnit | GetDevUnit (const Standard_Character akey, const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT Handle_WOKernel_DevUnit | GetDevUnit (const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT const WOKernel_UnitTypeBase & | KnownTypes () const
Standard_EXPORT void | AddUnit (const Handle(WOKernel_DevUnit)&aunit)
Standard_EXPORT void | RemoveUnit (const Handle(WOKernel_DevUnit)&aunit)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKernel_UnitNesting (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Entity)&anesting)

## Private Member Functions

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetUnitList ()=0
virtual Standard_EXPORT Handle_WOKernel_File | GetUnitListFile () const =0
Standard_EXPORT void | DumpUnitList () const

## Private Attributes

WOKernel_UnitTypeBase | mytypebase
Handle_TColStd_HSequenceOfHAsciiString | myunits

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_UnitNesting::WOKernel_UnitNesting | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Entity)& | anesting
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void WOKernel_UnitNesting::AddUnit | ( | const Handle(WOKernel_DevUnit)& | aunit | ) |

Standard_EXPORT void WOKernel_UnitNesting::Close | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity. Reimplemented in WOKernel_Parcel, and WOKernel_Workbench.

Standard_EXPORT void WOKernel_UnitNesting::DumpUnitList | ( |  | ) | const`[private]`

Standard_EXPORT Handle_WOKernel_DevUnit WOKernel_UnitNesting::GetDevUnit | ( | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | const

Standard_EXPORT Handle_WOKernel_DevUnit WOKernel_UnitNesting::GetDevUnit | ( | const Standard_Character | akey,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | const

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_UnitNesting::GetUnitList | ( |  | ) | `[private, pure virtual]`

| Implemented in WOKernel_Parcel, and WOKernel_Workbench.

virtual Standard_EXPORT Handle_WOKernel_File WOKernel_UnitNesting::GetUnitListFile | ( |  | ) | const`[private, pure virtual]`

| Implemented in WOKernel_Parcel, and WOKernel_Workbench.

Standard_EXPORT const WOKernel_UnitNesting::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_Entity. Reimplemented in WOKernel_Parcel, and WOKernel_Workbench.

Standard_EXPORT const WOKernel_UnitTypeBase& WOKernel_UnitNesting::KnownTypes | ( |  | ) | const

Standard_EXPORT void WOKernel_UnitNesting::Open | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity. Reimplemented in WOKernel_Parcel, and WOKernel_Workbench.

Standard_EXPORT void WOKernel_UnitNesting::RemoveUnit | ( | const Handle(WOKernel_DevUnit)& | aunit | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_UnitNesting::Units | ( |  | ) | const

## Field Documentation

WOKernel_UnitTypeBase WOKernel_UnitNesting::mytypebase `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_UnitNesting::myunits `[private]`

The documentation for this class was generated from the following file:

- WOKernel_UnitNesting.hxx